<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;

class GrupoPromocional {

	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}

	public function	getCodigoGrupo(){
		$CDGRUPROMOC = $this->entityManager->getConnection()->fetchAll(self::GET_CDGRUPROMOC);
		if (empty($CDGRUPROMOC)){
			return '0000000001';
		}else{
			return str_pad($CDGRUPROMOC[0]['CDGRUPROMOC'], 10, '0', STR_PAD_LEFT);
		}
		return str_pad($CDGRUPROMOC[0]['CDGRUPROMOC'], 10, '0', STR_PAD_LEFT);
	}

    const GET_CDGRUPROMOC = "
        SELECT MIN(O1.CDGRUPROMOC + 1) AS CDGRUPROMOC
          FROM GRUPROMOC O1
         WHERE NOT EXISTS (SELECT O2.CDGRUPROMOC FROM GRUPROMOC O2 WHERE O2.CDGRUPROMOC = O1.CDGRUPROMOC + 1)
    ";
}