<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class RelVendasGerenciaisService {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function find($conditions, $idrelatorio) {
        
        $params = array(
         	":CDFILIAL"     => isset($conditions['CDFILIAL']) ? $conditions['CDFILIAL'] : null,
            ":DTINI"        => isset($conditions['DTINI']) ? $conditions['DTINI'] : null,
            ":DTFIM"        => isset($conditions['DTFIM']) ? $conditions['DTFIM'] : null,
            ":IDSITUVENDA"  => isset($conditions['IDSITUVENDA']) ? $conditions['IDSITUVENDA'] : null,
 		);
 		
 		switch ($idrelatorio){
 		    case 0:
 		        return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_REL_VENDAGER_SINTETICO, $params);
            break;
            
            case 1:
                return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_REL_VENDAGER_ANALITICO, $params);
            break;
 		   
 		}
    }
}